<div class="row">
    <span class="meal">
        {{ meal.description }}
    </span>
    <span class="calories">
        {{ meal.calories }}
    </span>
    <span class="carbohydrates">
        {{ meal.carbohydrates }}
    </span>
    <span class="fats">
        {{ meal.fats }}
    </span>
    <span class="protein">
        {{ meal.protein }}
    </span>
    <div class="actions">
        <ng-template [canView]="[1, 5]">
            <button mat-icon-button color="accent">
                <button
                    mat-icon-button
                    color="accent"
                    (click)="openEditDialog()"
                >
                    <mat-icon>edit</mat-icon>
                </button>
            </button>
            <button mat-icon-button color="warn" (click)="openDeleteDialog()">
                <mat-icon>delete</mat-icon>
            </button>
        </ng-template>
    </div>
</div>
